/*********************
项目工具类
****************/
window.addEventListener('load', function () {
    FastClick.attach(document.body);
    FastClick.prototype.focus = function (targetElement) {
        var length;
        if (api.systemType === 'ios' && targetElement.setSelectionRange && targetElement.type.indexOf('date') !== 0 && targetElement.type !== 'time' && targetElement.type !== 'month') {
            length = targetElement.value.length;
            targetElement.focus();
            targetElement.setSelectionRange(length, length);
        } else {
            targetElement.focus();
        }
    };

}, false);

// 修正头部大小，并返回头部高度
function dtFixHeader() {
    var header = $api.byId('dt_header');
    var h = $api.fixStatusBar(header);
    return h;
}

function dtSetBarStyle(flag) {
    api.setStatusBarStyle({
        style: flag
    });
}

// 修正头部大小，并返回头部高度
function dtFixHeaderById() {
    var header = $api.byId('dt_headerImg');
    var h = $api.fixStatusBar(header);
    return h;
}

// [isNumber 是否为数字]
function dtIsNumber(String) {
    var Letters = "1234567890";
    //可以自己增加可输入值
    var i;
    var c;
    if (String.charAt(0) == '-')
        return false;
    if (String.charAt(String.length - 1) == '-')
        return false;
    for (i = 0; i < String.length; i++) {
        c = String.charAt(i);
        if (Letters.indexOf(c) < 0)
            return false;
    }
    return true;
}
//字符串转为十六进制
function stringToHex(str) {
    var val = "";
    for (var i = 0; i < str.length; i++) {
        if (val == "") {
            val = str.charCodeAt(i).toString(16);
        }
        else {
            val += "," + str.charCodeAt(i).toString(16);
        }
    }
    return val;
}

function dtIsIdCard(IdCard) {
    if (checkCode(IdCard)) {
        var date = IdCard.substring(6, 14);
        if (checkDate(date)) {
            if (checkProv(IdCard.substring(0, 2))) {
                return true;
            }
        }
    }
    return false;
}

function checkProv(val) {
    var pattern = /^[1-9][0-9]/;
    var provs = {
        11: "北京",
        12: "天津",
        13: "河北",
        14: "山西",
        15: "内蒙古",
        21: "辽宁",
        22: "吉林",
        23: "黑龙江 ",
        31: "上海",
        32: "江苏",
        33: "浙江",
        34: "安徽",
        35: "福建",
        36: "江西",
        37: "山东",
        41: "河南",
        42: "湖北 ",
        43: "湖南",
        44: "广东",
        45: "广西",
        46: "海南",
        50: "重庆",
        51: "四川",
        52: "贵州",
        53: "云南",
        54: "西藏 ",
        61: "陕西",
        62: "甘肃",
        63: "青海",
        64: "宁夏",
        65: "新疆",
        71: "台湾",
        81: "香港",
        82: "澳门"
    };
    if (pattern.test(val)) {
        if (provs[val]) {
            return true;
        }
    }
    return false;
}

function checkDate(val) {
    var pattern = /^(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)$/;
    if (pattern.test(val)) {
        var year = val.substring(0, 4);
        var month = val.substring(4, 6);
        var date = val.substring(6, 8);
        var date2 = new Date(year + "-" + month + "-" + date);
        if (date2 && date2.getMonth() == (parseInt(month) - 1)) {
            return true;
        }
    }
    return false;
}

function checkCode(val) {
    var p = /^[1-9]\d{5}(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
    var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
    var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
    var code = val.substring(17);
    if (p.test(val)) {
        var sum = 0;
        for (var i = 0; i < 17; i++) {
            sum += val[i] * factor[i];
        }
        if (parity[sum % 11] == code.toUpperCase()) {
            return true;
        }
    }
    return false;
}

function dtIsPhone(phone) {
    var reg = /^1[0-9]{10}$/;
    return reg.test(phone);
}

//判断是否是图片
function dtIsImage(url) {
    return (url.match(/\.(jpeg|jpg|gif|png)$/) != null)
}


// ------------下拉刷新 统一定义------------------
function dtPull(cb) {
    api.setRefreshHeaderInfo({
        visible: true,
        loadingImg: 'widget://res/img/pull.png',
        bgColor: '#F5F5F5',
        textColor: '#aaa',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: false
    }, cb);
}

function dtCustomPull(cb) {
    api.setCustomRefreshHeaderInfo({
        bgColor: '#F5F5F5',
    }, cb);
}

function dtPulling() {
    api.refreshHeaderLoading();
}

function dtPulled() {
    api.refreshHeaderLoadDone();
}

// 上拉加载更多
function dtPushUp(cb) {
    api.addEventListener({
        name: 'scrolltobottom',
    }, function (ret, err) {
        if (cb) cb();
    });
}

function dtRemovePushUp() {
    api.removeEventListener({
        name: 'scrolltobottom'
    });
}
// -------------------------------------------


// [showToast 显示模态提示]
function dtShowHUD(title, text, modal) {
    var title = title ? title : '加载中...';
    var text = text ? text : '';
    var modal = modal ? modal : true;
    api.showProgress({
        title: title,
        text: text,
        modal: modal
    });
}

function dtHideHud() {
    api.hideProgress();
}

function dtTip(msg, loc) {
    api.toast({
        msg: msg,
        duration: 1500,
        location: loc ? loc : 'bottom'
    });
}
//显示带有一段消息以及确认按钮和取消按钮的对话框
function dtConfirm(title, msg, callback, comfirmtext, canceltext) {
    api.confirm({
        title: title,
        msg: msg,
        buttons: comfirmtext ? [comfirmtext, canceltext] : ['确定', '取消']
    }, function (ret, err) {
        if (ret.buttonIndex === 1) {
            callback();
        }
    });
}

// 警告页面展示
// params是一个对象，爆款{name, text, icon, frameName, cb, buttonName, headerH}
// frameName和cb为必填，其他均可选填，详见error.html
function dtWarnPage(params) {
    api.openFrame({
        name: params.name ? params.name : 'error',
        url: '../../error/error.html',
        rect: {
            x: 0,
            y: params.headerH ? params.headerH : $api.getStorage(config.key.headerH),
            w: 'auto',
            h: 'auto'
        },
        pageParam: {
            icon: params.icon ? params.icon : 'no_network.png',
            text: params.text ? params.text : '网络异常',
            frameName: params.frameName,
            cb: params.cb,
            buttonName: params.buttonName || ''
        },
        reload: true
    });
}

// 图片缓存
function dtImageCache(ele_) {

    var imageURL = $api.attr(ele_, 'data-url');
    if (!imageURL) return;
    api.imageCache({
        url: imageURL,
        policy: "cache_only",
    }, function (ret, err) {
        if (ret.status) {
            ele_.src = ret.url;
            $api.removeAttr(ele_, 'data-url');
            $api.removeCls(ele_, 'net-image');
        }
    });
}
// 开始加载所有网络图片
function dtLoadAllNetImage() {
    var imgs = $api.domAll(".net-image");
    for (var i = 0; i < imgs.length; i++) {
        dtImageCache(imgs[i]);
    }
}

// 获取图片
function dtGetPicture(allowEdit, cb) {
    api.actionSheet({
        title: '请选择',
        cancelTitle: '取消',
        destructiveTitle: '拍照',
        buttons: ['相册']
    }, function (ret, err) {
        if (ret.buttonIndex == 3) {
            return;
        }
        if (ret.buttonIndex == 1) {
            // var resultList = api.hasPermission({
            //     list: ['camera', 'photos']
            // });
            // if (!resultList[0].granted) {
            //     api.requestPermission({
            //         list: ['camera', 'photos'],
            //         code: 1
            //     }, function (ret, err) {
            //         if (ret.list[0].granted) {
            //             api.getPicture({
            //                 sourceType: 'camera',
            //                 destinationType: 'url',
            //                 allowEdit: allowEdit,
            //                 quality: 90,
            //                 targetWidth: 800,
            //                 targetHeight: 800,
            //                 // destinationType:base64
            //             }, function (ret, err) {
            //                 if (ret) {
            //                     cb(ret.data);
            //                 }
            //             });
            //         } else {
            //             dtTip("没有拍照或存储权限，请设置");
            //         }

            //     });
            // } else {
            //     api.getPicture({
            //         sourceType: 'camera',
            //         destinationType: 'url',
            //         allowEdit: allowEdit,
            //         quality: 90,
            //         targetWidth: 800,
            //         targetHeight: 800,
            //         // destinationType:base64
            //     }, function (ret, err) {
            //         if (ret) {
            //             cb(ret.data);
            //         }
            //     });
            // }

            var resultList = api.hasPermission({
                list: ['camera']
            });
            var FNPhotograph;
            if (resultList[0].granted) {
                FNPhotograph = api.require('FNPhotograph');
                FNPhotograph.open({
                    path: 'fs://savePath',
                    album: false,
                    isShowAlbum: false,
                    qualityValue: 100,
                    isShowAlbum: false
                }, function (ret) {
                    if (ret.eventType === "cameraError") {
                        dtTip("摄像头调用失败,请检查是否打开权限")
                    }
                    if (ret.eventType === "takePhoto") {
                        cb(ret.imagePath)
                        FNPhotograph.close()
                    }
                });
                FNPhotograph.setCamera({
                    camera: 'front'
                });
            } else {
                api.confirm({
                    msg: '应用需要您的授权才能访问相机',
                    buttons: ['取消', '去设置']
                }, function (ret) {
                    if (ret.buttonIndex == 2) {
                        api.requestPermission({
                            list: ["camera"],
                        }, function (res) {
                            if (res.list[0].granted) {
                                // 已授权，可以继续下一步操作
                                FNPhotograph = api.require('FNPhotograph');
                                FNPhotograph.open({
                                    path: 'fs://savePath',
                                    album: false,
                                    isShowAlbum: false,
                                    qualityValue: 100,
                                    isShowAlbum: false
                                }, function (ret) {
                                    if (ret.eventType === "cameraError") {
                                        dtTip("摄像头调用失败,请检查是否打开权限")
                                    }
                                    if (ret.eventType === "takePhoto") {
                                        cb(ret.imagePath)
                                        FNPhotograph.close()
                                    }
                                });
                                FNPhotograph.setCamera({
                                    camera: 'front'
                                });
                            }
                        });
                    }
                });
            }
        } else if (ret.buttonIndex == 2) {
            var resultList = api.hasPermission({
                list: ['photos']
            });

            if (!resultList[0].granted) {
                api.requestPermission({
                    list: ['photos'],
                    code: 1
                }, function (ret, err) {
                    if (ret.list[0].granted) {
                        api.getPicture({
                            sourceType: 'album',
                            destinationType: 'url',
                            allowEdit: allowEdit,
                            quality: 90,
                            targetWidth: 800,
                            targetHeight: 800,
                            // destinationType:base64
                        }, function (ret, err) {
                            if (ret) {
                                cb(ret.data);
                            }
                        });
                    } else {
                        dtTip("没有存储权限，请设置");
                    }

                });
            } else {
                api.getPicture({
                    sourceType: 'album',
                    destinationType: 'url',
                    allowEdit: allowEdit,
                    quality: 90,
                    targetWidth: 800,
                    targetHeight: 800,
                    // destinationType:base64
                }, function (ret, err) {
                    if (ret) {
                        cb(ret.data);
                    }
                });
            }

        }

    });
}

function dtLog(obj, message) {
    if (message) {
    } else {
    }

}

function dtLimit(e) {
    var len = $api.attr(e, 'maxlength');
    if (!len) return false;
    if (!e.value) {
        e.value = "";
        return false;
    }
    if (e.value.length > len) {
        e.value = e.value.substring(0, len);
        return true;
    }
    return false;
}

//验证是否登录，
function dtIsLogin() {
    var userInfo = $api.getStorage(config.key.user);
    if (!userInfo) { //如果不存在，则进行游客登录
        touristLoginHttp();
        return false;
    } else {
        if (userInfo.userType === 2) {
            return false;
        } else {
            return true;
        }
    }
}

//验证是否登录，如果没有登录，则进行游客登录
function dtLogin(cb) {
    var userInfo = $api.getStorage(config.key.user);
    if (!userInfo) { //如果不存在，则进行游客登录
        touristLoginHttp();
    } else {
        dtGetUserInfo(userInfo._id, cb);
    }
}

//验证是否登录与认证
function dtIsApprove() {
    var userInfo = $api.getStorage(config.key.user);
    if (dtIsLogin() && userInfo.status === 2) { //如果不存在，则进行游客登录
        return true;
    } else {
        return false;
    }
}

//验证是否登录，如果没有登录，或者是游客，则必须要账号登录
function dtUserLogin(url, flag, isopen, alertURL) {
    var userInfo = $api.getStorage(config.key.user);
    isopen = isopen || 0;
    if (!userInfo || userInfo === undefined || userInfo.userType === 2) { //如果不存在，或者是游客，则必须要账号登录
        api.openWin({
            name: 'mine_login',
            url: url || '../../view/mine/mine_login_win.html',
            pageParam: {
                name: '登录',
                flag: flag || 0
            },
            reload: true //强制页面刷新
        });
        return false;
    } else {
        if (userInfo.status != 2) {
            if (isopen === 1) {
                return true;
            }
            var info = "";
            var butInfo = "";
            var title = "";
            if (userInfo.status === 1) {
                info = "您的申请还在审核中,请耐心等待...";
                butInfo = "好吧";
                title = "审核中";
            } else if (userInfo.status === 0) {
                info = "您还未进行实名认证！";
                butInfo = "去认证";
                title = "实名认证";
            } else if (userInfo.status === -1) {
                info = userInfo.authMessage || "认证失败，请重新提交";
                butInfo = "重新提交";
                title = "认证失败";
            }
            api.openFrame({
                name: 'alert_auth_frame',
                url: alertURL || '../comm/alert_auth_frame.html',
                rect: {
                    x: 0,
                    y: 0,
                    w: "auto",
                    h: "auto"
                },
                pageParam: {
                    title: title,
                    info: info,
                    butInfo: butInfo
                },
                animation: {
                    type: 'fade'
                },
                bounces: false,
                bgColor: 'rgba(0,0,0,0)',
                reload: true
            });
            return false;
        } else {
            return true;
        }

    }
}

function dtGetUserInfo(userid, cb, isStart) {
    //  dtLog("userid" + userid);
    if (!userid) { //如果不存在，则进行游客登录
        //  dtLog("如果不存在，则进行游客登录");
        touristLoginHttp();
    } else {
        //  dtLog("如果存在，则进行获取用户信息");
        var params = {
            userId: userid
        };
        $req.getUserInfo(params, function (res, err) {
            console.log("我来了")
            if (res) {
                if (res && res != undefined && res.data && res.data != undefined) {
                    userInfo = res.data[0];
                    bindJpush(userInfo._id);
                    userInfo.isAuth = res.otherobj.isAuth;
                    userInfo.authMessage = res.otherobj.authMessage || "";
                    userInfo.authId = res.otherobj.authId || "";
                    userInfo.dwidentity = res.otherobj.dwidentity;
                    userInfo.authtype = res.otherobj.authtype || 3;
                    if (!userInfo.status) {
                        userInfo.status = 0;
                        userInfo.isAuth = 0;
                    }
                    var info = $api.getStorage(config.key.user);
                    if (info.status != 2) {
                        $api.setStorage(config.key.user, userInfo);
                        api.execScript({ //在指定 window 或者 frame 中执行脚本，对于 frameGroup 里面的 frame 也有效，若 name 和 frameName 都未指定，则在当前 window 中执行脚本
                            name: 'root',
                            script: 'fnRefreshUserInfo();' //JS代码
                        });
                    } else {
                        $api.setStorage(config.key.user, userInfo);
                    }
                }
                if (cb) cb();
            } else {
                //  dtLog("如果不存在，则进行游客登录ssss");
                touristLoginHttp(cb);
            }

        });
    }
}

//游客登录
function touristLoginHttp(cb) {
    $req.touristLogin(function (res) {
        if (res && res != undefined && res.data && res.data != undefined) {
            userInfo = res.data[0];
            bindJpush(userInfo._id);
            if (res.otherobj && res.otherobj.isWy) {
                userInfo.isWy = res.otherobj.isWy;
            } else {
                userInfo.isWy = 0;
            }
            $api.setStorage(config.key.user, userInfo);
        } else {
            $api.rmStorage(config.key.user);
        }
        if (cb) cb();
    });
}


//极光数据绑定
function bindJpush(uid) {

    var ajpush = api.require('ajpush');
    // 设备唯一标识
    var items = api.deviceId.split("-").join("");
     // app 版本号
    var appVersion = api.appVersion.split(".").join("");
    var newStr = items + appVersion
    var param = {
        alias: newStr,
    };
    // console.log('comment：1 ———  ' + newStr);
    ajpush.bindAliasAndTags(param, function (ret, err) {
        console.log('comment：2 ———  ' + JSON.stringify(ret));
    });
    ajpush.setListener(
        function (ret) {
            var info = ret.content;
            var msg = ret.extra;
            if (ret.extra.msgtype === 5) {
                if (dtIsLogin()) {
                    //退出登录时清空数据
                    g_clearVillageInfo();
                    $api.rmStorage(config.key.user);
                    var userInfo = $api.getStorage(config.key.user);
                    if (!userInfo) { //如果不存在，则进行游客登录
                        $req.touristLogin(function (res, err) {
                            userInfo = res.data[0];
                            bindJpush(userInfo._id);
                            g_clearApprove();
                            $api.setStorage(config.key.user, userInfo);
                            api.execScript({
                                name: 'root',
                                frameName: 'tab_mine',
                                script: 'fnRefreshUserInfo(1);'
                            });
                            api.execScript({
                                name: 'root',
                                frameName: 'tab_home',
                                script: 'fnRefreshUserInfo(1);'
                            });
                            api.execScript({
                                name: 'root',
                                script: 'fnRefreshUserInfo(false);'
                            });
                            api.closeToWin({
                                name: 'root'
                            });
                        });
                    }
                    alert("有人已使用当前账号登录，你已被迫下线！");
                }

            } else {
                api.notification({
                    notify: {
                        title: '中华志愿者',
                        content: info,
                        extra: msg,
                    }
                });

                api.execScript({
                    name: 'root',
                    frameName: 'tab_home',
                    script: 'fngetData();'
                });
                api.execScript({
                    name: 'root',
                    frameName: 'tab_mine',
                    script: 'fnRefreshUserInfo(1);'
                });

            }
        }
    );

    api.addEventListener({
        name: 'noticeclicked'
    }, function (ret, err) {
        if (ret && ret.value) {
            var ajpush = ret.value;
            var content = ajpush.content;
            var extra = ajpush.extra;
            jpushClick(extra);
        }
    });
    //Android平台,极光推送模块会往设备状态栏上发送通知，当通知被点击后，APICloud会将本次推送的内容通过事件监听回调的方式交给开发者
    api.addEventListener({
        name: 'appintent'
    }, function (ret, err) {
        if (ret && ret.appParam.ajpush) {
            var ajpush = ret.appParam.ajpush;
            var id = ajpush.id;
            var title = ajpush.title;
            var content = ajpush.content;
            var extra = ajpush.extra;
            jpushClick(extra);
        }
    })
}

function jpushClick(extra) {
    setTimeout(function () {
        api.openWin({
            name: 'history_message_win',
            url: '../view/message/history_message_win.html',
            reload: true,
            pageParam: {
                name: 'test'
            },
            reload: true //强制页面刷新
        });
    }, 2000);
}

//计算String长度
function getStringWidth(uname, css) {
    var temSpan = document.createElement('span');
    temSpan.innerHTML = uname;
    $api.css(temSpan, css);
    document.body.appendChild(temSpan);
    var width = temSpan.offsetWidth;
    document.body.removeChild(temSpan);
    return width;
}

//手机号截取
function getSubPhoneno(phone) {
    return phone.substring(0, 3) + "****" + phone.substring(7, 11);
}

//AES_ECB加密
function getAES_ECB(str, key, cb) {

    const fillKey = function (key) {
        const buffer = new ArrayBuffer(16);
        var cbuffer = new Int8Array(buffer);
        for (var i = 0; i < key.length; i++) {
            cbuffer[i] = key[i];
        }

        var keystr = '';
        for (var i = 0; i < cbuffer.length; i++) {
            keystr += cbuffer[i];
        }
        return keystr;
    }


    var ckey = CryptoJS.enc.Utf8.parse(fillKey(key));
    const cipher = CryptoJS.AES.encrypt(str, ckey, {
        mode: CryptoJS.mode.ECB,
        padding: CryptoJS.pad.Pkcs7
    });
    // 将加密后的数据转换成 Base64
    const base64Cipher = cipher.ciphertext.toString(CryptoJS.enc.Base64);
    // 处理 Android 某些低版的BUG
    // const resultCipher = base64Cipher.replace(/\+/g, '-').replace(/\//g, '_');
    resultCipher = encodeURIComponent(base64Cipher);
    cb(resultCipher);

}

//判断对象是否为null
function isObjNull(data) {
    return JSON.stringify(data) == "{}";
}

//判断是否为null
function isEmpty(str) {
    return str === undefined || str === null || str === "";
}

//判断数组是否为【】
function isArrayNull(list) {
    return list === undefined || list === [] || list.length === 0;
}

function isValid(str) {
    return !str.isEmpty() && !str.trim().isEmpty();
}

function shareActionSheet(type, str, name, pass) {
    api.actionSheet({
        title: '请选择',
        cancelTitle: '取消',
        destructiveTitle: '微信分享',
        buttons: ['QQ分享']
    }, function (ret, err) {
        if (ret.buttonIndex == 3) {
            return;
        }
        if (ret.buttonIndex == 1) {
            //使用的是wx模块  ios需要使用wxPuls才能正常使用
            // wxShare(type, str, name, pass);
        } else {
            QQshare(type, str, name, pass);
        }
    });
}

//微信分享
function wxShare(type, str, name, pass) {
    var wx = api.require('wx');
    wx.isInstalled(function (ret, err) {
        if (ret.installed) {
            if (type === 'text') {
                wx.shareWebpage({
                    apiKey: '',
                    scene: 'session',
                    title: '动态e码',
                    description: str,
                    thumb: 'http://facecommapi.lebopark.com/images/about.png',
                    contentUrl: 'http://wxchyw.lebopark.com/view/sharepass?' + "name=" + name + "&pass=" + pass,
                }, function (ret, err) {

                });
            }
        } else {
            alert('当前设备未安装微信客户端');
        }
    });
}

//QQ分享
function QQshare(type, str, name, pass) {
    var qq = api.require('QQPlus');
    //判断当前手机是否安装QQ
    qq.installed(function (ret, err) {
        // dtLog(err);
        // dtLog(ret);
        var params = {
            url: encodeURI('http://wxchyw.lebopark.com/view/sharepass?' + "name=" + name + "&pass=" + pass),
            title: '动态e码',
            description: str,
            imgUrl: 'http://facecommapi.lebopark.com/images/about.png',
            type: 'QFriend'
        };
        if (ret.status) {
            if (type === 'text') {
                qq.shareNews(params, function (ret, err) {
                    // dtLog(err);
                    // dtLog(ret);
                });
            }
        } else {
            api.alert({
                msg: "您还未安装QQ，请安装后使用"
            });
        }
    });
}


//判断日期，时间大小  
function compareTime(startDate, endDate) {
    if (startDate.length > 0 && endDate.length > 0) {
        startDate = "2020-11-25 " + startDate;
        endDate = "2020-11-25 " + endDate;
        var startDateTemp = startDate.split(" ");
        var endDateTemp = endDate.split(" ");

        var arrStartDate = startDateTemp[0].split("-");
        var arrEndDate = endDateTemp[0].split("-");

        var arrStartTime = startDateTemp[1].split(":");
        var arrEndTime = endDateTemp[1].split(":");

        var allStartDate = new Date(arrStartDate[0], arrStartDate[1], arrStartDate[2], arrStartTime[0], arrStartTime[1], arrStartTime[2]);
        var allEndDate = new Date(arrEndDate[0], arrEndDate[1], arrEndDate[2], arrEndTime[0], arrEndTime[1], arrEndTime[2]);

        if (allStartDate.getTime() >= allEndDate.getTime()) {
            alert("开始时间不能大于结束时间，请确认");
            return false;
        } else {
            return true;
        }
    }
}


// 验证电子邮箱
function dtIsEmail(email) {
    var reg = /^([a-zA-Z]|[0-9])(\w|\-)+@[a-zA-Z0-9]+\.([a-zA-Z]{2,4})$/;
    return reg.test(email)
}

// 验证名字
function dtIsName(name) {
    var reg = /^[\u4E00-\u9FA5\uf900-\ufa2d·s]{2,20}$/;
    return reg.test(name)
}
